kr.co.hanwha.hifive.adapter.contract

## Interface MainProjectListContract.OnMainProjectListListener

Enclosing interface:
  MainProjectListContract

    public static interface MainProjectListContract.OnMainProjectListListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onEditIssueClicked()` ISSUE 입력/수정
`void` `onFilterClicked(ProjectFilterType filterType)` Select filter
`void` `onItemClicked(ProjectTaskInfo data)` TASK 클릭
`void` `onProjectColorClicked()` 프로젝트 색상 변경
`void` `onProjectItemSelected(int project_id)` Project 변경

### Method Detail

#### onProjectItemSelected

    void onProjectItemSelected(@NonNull
                               int project_id)

Project 변경

Parameters:
  `project_id` - Project_id

#### onItemClicked

    void onItemClicked(@NonNull
                       ProjectTaskInfo data)

TASK 클릭

Parameters:
  `data` - TASK 데이터

#### onProjectColorClicked

    void onProjectColorClicked()

프로젝트 색상 변경

#### onEditIssueClicked

    void onEditIssueClicked()

ISSUE 입력/수정

#### onFilterClicked

    void onFilterClicked(@NonNull
                         ProjectFilterType filterType)

Select filter

Parameters:
  `filterType` -